Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::PowerMeter Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::PowerMeter Interface Reference

A three-phase power meter (PMC). More...

Inheritance diagram for pdumodel::PowerMeter:

## Classes
struct | Config
| Power meter configuration. More...
struct | EnergyPulseSettings
| Energy LED pulse settings. More...
struct | EnergyPulseSettingsChangedEvent
| Event: Energy LED pulse settings have changed. More...
struct | Sensors
| Power meter sensors. More...
struct | Settings
| Power meter settings. More...
struct | SettingsChangedEvent
| Event: Power meter settings have changed. More...

## Public Types
enum | Type { ONE_PHASE , SPLIT_PHASE , THREE_PHASE }
| Power meter type. More...

## Public Member Functions
Config | getConfig ()
| Retrieve the power meter configuration.
Sensors | getSensors ()
| Get the power meter sensors.
vector< Pole > | getPoles ()
| Get the list of power meter poles.
vector< Controller > | getControllers ()
| Get the list of sub controllers for this power meter.
Settings | getSettings ()
| Retrieve the power meter settings.
int | setSettings (in Settings settings)
| Change the power meter settings.
EnergyPulseSettings | getEnergyPulseSettings ()
| Retrieve the energy LED pulse settings.
int | setEnergyPulseSettings (in EnergyPulseSettings settings)
| Change the energy LED pulse settings.

## Public Attributes
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_MODBUS_UNIT_IN_USE = 2
| Modbus unit address is already in use.

## Detailed Description

A three-phase power meter (PMC).

Definition at line 23 of file PowerMeter.idl.

## Member Enumeration Documentation

## ◆ Type

enum pdumodel::PowerMeter::Type

Power meter type.

Enumerator
ONE_PHASE | Single-phase meter (A)
SPLIT_PHASE | Split-phase meter (A, B)
THREE_PHASE | Three-phase meter (A, B, C)

Definition at line 29 of file PowerMeter.idl.

## Member Function Documentation

## ◆ getConfig()

Config pdumodel::PowerMeter::getConfig | ( |  | ) |

Retrieve the power meter configuration.

Returns
  Power meter configuration

## ◆ getControllers()

vector< Controller > pdumodel::PowerMeter::getControllers | ( |  | ) |

Get the list of sub controllers for this power meter.

Returns
  List of controllers

## ◆ getEnergyPulseSettings()

EnergyPulseSettings pdumodel::PowerMeter::getEnergyPulseSettings | ( |  | ) |

Retrieve the energy LED pulse settings.

Returns
  Energy LED pulse settings

## ◆ getPoles()

vector< Pole > pdumodel::PowerMeter::getPoles | ( |  | ) |

Get the list of power meter poles.

Returns
  List of power meter poles (A, B, C, N, PE)

## ◆ getSensors()

Sensors pdumodel::PowerMeter::getSensors | ( |  | ) |

Get the power meter sensors.

Returns
  Power meter sensors

## ◆ getSettings()

Settings pdumodel::PowerMeter::getSettings | ( |  | ) |

Retrieve the power meter settings.

Returns
  Power meter settings

## ◆ setEnergyPulseSettings()

int pdumodel::PowerMeter::setEnergyPulseSettings | ( | in EnergyPulseSettings | settings | ) |

Change the energy LED pulse settings.

Parameters

  settings | New settings

Returns
  0 if OK
  1 if any parameters are invalid

## ◆ setSettings()

int pdumodel::PowerMeter::setSettings | ( | in Settings | settings | ) |

Change the power meter settings.

Parameters

  settings | New settings

Returns
  0 if OK
  1 if any parameters are invalid
  2 if the Modbus unit address is already in use

## Member Data Documentation

## ◆ ERR_INVALID_PARAM

constant int pdumodel::PowerMeter::ERR_INVALID_PARAM = 1

Invalid parameters.

Definition at line 25 of file PowerMeter.idl.

## ◆ ERR_MODBUS_UNIT_IN_USE

constant int pdumodel::PowerMeter::ERR_MODBUS_UNIT_IN_USE = 2

Modbus unit address is already in use.

Definition at line 26 of file PowerMeter.idl.

The documentation for this interface was generated from the following file:

- PowerMeter.idl